package cn.com.ctop.toutiao.modules.report.service.impl;

import cn.com.ctop.toutiao.modules.report.DTO.AccountReportDTO;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceAdvertiserDailyReport;
import cn.com.ctop.toutiao.modules.report.mapper.BytedanceAdvertiserDailyReportMapper;
import cn.com.ctop.toutiao.modules.report.service.IBytedanceAdvertiserDailyReportService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 广告主日报表
 * @Author: jeecg-boot
 * @Date: 2019-09-10
 * @Version: V1.0
 */
@Service
@Primary

public class BytedanceAdvertiserDailyReportServiceImpl extends ServiceImpl<BytedanceAdvertiserDailyReportMapper, BytedanceAdvertiserDailyReport> implements IBytedanceAdvertiserDailyReportService {

    public void bytedanceAccountReportStatistics(AccountReportDTO accountReportDTO){
        String startDate = accountReportDTO.getStartDate();
        String endDate = accountReportDTO.getEndDate();
        BigDecimal discount = accountReportDTO.getDiscount();  //仅头条内广可用 折扣
        BigDecimal point = accountReportDTO.getPoint();  //仅头条可用 返点
        List<Long> accountIds = accountReportDTO.getAccountIds();
        Integer statHour = accountReportDTO.getStatHour();
        Integer type = accountReportDTO.getType();  //1今天  2昨天和其他单天 3近一周、15天、1月、3月按钮 4六个月、一年 5输入框输入的除了单天的时间段

        //type=1分时操作
        if(type == 1){

        }else if(type == 2){

        }else if(type == 3 || type == 5){

        }







    }




    public void bytedanceAccountReportListAndCollect(AccountReportDTO accountReportDTO){







    }


}
